Bug 449965 - Firefox 3beta5 freezes when trying to use Bugzilla in guided mode
Firefox 3beta5 freezes when trying to use Bugzilla in guided mode
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
5.2
i686 Linux
high Severity low
: rc
: ---
Assigned To: Martin Stransky
desktop-bugs@redhat.com
:
: 450291 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 10:54 EDT by Joel Berman
Modified: 2009-04-01 03:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 03:26:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Berman 2008-06-04 10:54:15 EDT
Description of problem:

I try to use bugzilla.redhat.com in guided mode to file a bugzilla and it
freezes each time.  I am filing this one through expert mode which appears to work.

Version-Release number of selected component (if applicable):

firefox 3 beta 5
How reproducible:
very

Steps to Reproduce:
1.go to bugzilla.redhat.com
2.try to file a guided mode report
3.
  
Actual results:
freeze

Expected results:
not freeze

Additional info:
Comment 1 Matěj Cepl 2008-06-06 05:05:27 EDT
got crash with FF3 on Fedora 9, but apparently it is a Heisenberg bug -- when
running firefox -g, everything works smoothly.
Comment 2 Matěj Cepl 2008-06-06 05:27:22 EDT
I fortunately found two (...) cores related to the crash -- one is from firefox:

Program terminated with signal 11, Segmentation fault.
[New process 2239]
[New process 2916]
[New process 2378]
[New process 2338]
[New process 2336]
[New process 2314]
#0  0x00110416 in __kernel_vsyscall ()
Missing separate debuginfos, use: debuginfo-install libbeagle.i386
(gdb) thread apply all backtrace

Thread 6 (process 2314):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x005e6ec2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread-2.8.so
#2  0x00d32dbe in pt_TimedWait (cv=<value optimized out>, 
    ml=<value optimized out>, timeout=Could not find the frame base for
"pt_TimedWait".
)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#3  0x00d33be0 in PR_WaitCondVar (cvar=<value optimized out>, 
    timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407
#4  0x029b3eaa in TimerThread::Run (this=<value optimized out>)
    at TimerThread.cpp:345
#5  0x029b0852 in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.cpp:510
#6  0x0297d7e0 in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#7  0x029b1100 in nsThread::ThreadFunc (arg=<value optimized out>)
    at nsThread.cpp:254
#8  0x00d39f51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#9  0x005e332f in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#10 0x0051e27e in clone () from /lib/libc-2.8.so

Thread 5 (process 2336):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x005e6b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
#2  0x00d33c57 in PR_WaitCondVar (cvar=<value optimized out>, 
    timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x027d0679 in nsSSLThread::Run (this=<value optimized out>)
    at nsSSLThread.cpp:964
#4  0x027cfebe in nsPSMBackgroundThread::nsThreadRunner (arg=Could not find the
frame base for "nsPSMBackgroundThread::nsThreadRunner(void*)".
)
    at nsPSMBackgroundThread.cpp:44
#5  0x00d39f51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#6  0x005e332f in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#7  0x0051e27e in clone () from /lib/libc-2.8.so
---Type <return> to continue, or q <return> to quit---

Thread 4 (process 2338):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x005e6b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
#2  0x00d33c57 in PR_WaitCondVar (cvar=<value optimized out>, 
    timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x027d17e9 in nsCertVerificationThread::Run (this=<value optimized out>)
    at nsCertVerificationThread.cpp:138
#4  0x027cfebe in nsPSMBackgroundThread::nsThreadRunner (arg=Could not find the
frame base for "nsPSMBackgroundThread::nsThreadRunner(void*)".
)
    at nsPSMBackgroundThread.cpp:44
#5  0x00d39f51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#6  0x005e332f in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#7  0x0051e27e in clone () from /lib/libc-2.8.so

Thread 3 (process 2378):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x005e6b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
#2  0x00d33c57 in PR_WaitCondVar (cvar=<value optimized out>, 
    timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x00d33cd7 in PR_Wait (mon=Could not find the frame base for "PR_Wait".
)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:584
#4  0x029af97d in nsEventQueue::GetEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at ../../dist/include/xpcom/nsAutoLock.h:340
#5  0x029b0828 in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.h:112
#6  0x0297d7e0 in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#7  0x029b1100 in nsThread::ThreadFunc (arg=<value optimized out>)
    at nsThread.cpp:254
#8  0x00d39f51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#9  0x005e332f in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#10 0x0051e27e in clone () from /lib/libc-2.8.so

---Type <return> to continue, or q <return> to quit---
Thread 2 (process 2916):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00513ac7 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00d35b34 in _pr_poll_with_poll (pds=<value optimized out>, 
    npds=<value optimized out>, timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3895
#3  0x021eaf21 in nsSocketTransportService::Poll (this=<value optimized out>, 
    wait=<value optimized out>, interval=Could not find the frame base for
"nsSocketTransportService::Poll(int, unsigned int*)".
) at nsSocketTransportService2.cpp:349
#4  0x021eb436 in nsSocketTransportService::DoPollIteration (
    this=<value optimized out>, wait=<value optimized out>)
    at nsSocketTransportService2.cpp:644
#5  0x021eb6f2 in nsSocketTransportService::OnProcessNextEvent (
    this=<value optimized out>, thread=<value optimized out>, 
    mayWait=<value optimized out>, depth=<value optimized out>)
    at nsSocketTransportService2.cpp:523
#6  0x029b07f6 in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.cpp:497
#7  0x0297d7e0 in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#8  0x021eb14d in nsSocketTransportService::Run (this=<value optimized out>)
    at nsSocketTransportService2.cpp:565
#9  0x029b0852 in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.cpp:510
#10 0x0297d7e0 in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#11 0x029b1100 in nsThread::ThreadFunc (arg=<value optimized out>)
    at nsThread.cpp:254
#12 0x00d39f51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#13 0x005e332f in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#14 0x0051e27e in clone () from /lib/libc-2.8.so

Thread 1 (process 2239):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x005eafe0 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
---Type <return> to continue, or q <return> to quit---
#2  0x0218bc3f in nsProfileLock::FatalSignalHandler (
    signo=<value optimized out>) at nsProfileLock.cpp:212
#3  <signal handler called>
#4  0x00000000 in ?? ()
#5  0x071db2d1 in js_Interpret (cx=<value optimized out>) at jsinterp.c:4277
#6  0x071dcfbf in js_Invoke (cx=<value optimized out>, 
    argc=<value optimized out>, vp=<value optimized out>, 
    flags=<value optimized out>) at jsinterp.c:1303
#7  0x021b099e in nsXPCWrappedJSClass::CallMethod (this=<value optimized out>, 
    wrapper=<value optimized out>, methodIndex=<value optimized out>, 
    info=<value optimized out>, nativeParams=<value optimized out>)
    at xpcwrappedjsclass.cpp:1475
#8  0x021ac03b in nsXPCWrappedJS::CallMethod (this=<value optimized out>, 
    methodIndex=<value optimized out>, info=Could not find the frame base for
"nsXPCWrappedJS::CallMethod(unsigned short, XPTMethodDescriptor const*,
nsXPTCMiniVariant*)".
) at xpcwrappedjs.cpp:559
#9  0x029be598 in PrepareAndDispatch (methodIndex=<value optimized out>, 
    self=<value optimized out>, args=<value optimized out>)
    at xptcstubs_gcc_x86_unix.cpp:95
#10 0x029bda8d in NS_InvokeByIndex_P ()
   from /usr/lib/xulrunner-1.9pre/libxul.so
#11 0x021b3bed in XPCWrappedNative::CallMethod (ccx=<value optimized out>, 
    mode=<value optimized out>) at xpcwrappednative.cpp:2369
#12 0x021bbcbb in XPC_WN_CallMethod (cx=<value optimized out>, 
    obj=<value optimized out>, argc=<value optimized out>, 
    argv=<value optimized out>, vp=<value optimized out>)
    at xpcwrappednativejsops.cpp:1470
#13 0x071dcf4e in js_Invoke (cx=<value optimized out>, 
    argc=<value optimized out>, vp=<value optimized out>, 
    flags=<value optimized out>) at jsinterp.c:1287
#14 0x071d1264 in js_Interpret (cx=<value optimized out>) at jsinterp.c:4841
#15 0x071dcfbf in js_Invoke (cx=<value optimized out>, 
    argc=<value optimized out>, vp=<value optimized out>, 
    flags=<value optimized out>) at jsinterp.c:1303
#16 0x071cbcd0 in fun_apply (cx=<value optimized out>, 
    argc=<value optimized out>, vp=<value optimized out>) at jsfun.c:1650
#17 0x071d99fc in js_Interpret (cx=<value optimized out>) at jsinterp.c:4824
#18 0x071dcfbf in js_Invoke (cx=<value optimized out>, 
    argc=<value optimized out>, vp=<value optimized out>, 
    flags=<value optimized out>) at jsinterp.c:1303
#19 0x021b099e in nsXPCWrappedJSClass::CallMethod (this=<value optimized out>, 
    wrapper=<value optimized out>, methodIndex=<value optimized out>, 
    info=<value optimized out>, nativeParams=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at xpcwrappedjsclass.cpp:1475
#20 0x021ac03b in nsXPCWrappedJS::CallMethod (this=<value optimized out>, 
    methodIndex=<value optimized out>, info=Could not find the frame base for
"nsXPCWrappedJS::CallMethod(unsigned short, XPTMethodDescriptor const*,
nsXPTCMiniVariant*)".
) at xpcwrappedjs.cpp:559
#21 0x029be598 in PrepareAndDispatch (methodIndex=<value optimized out>, 
    self=<value optimized out>, args=<value optimized out>)
    at xptcstubs_gcc_x86_unix.cpp:95
#22 0x0284744d in jsds_ExecutionHookProc (jsdc=<value optimized out>, 
    jsdthreadstate=<value optimized out>, type=<value optimized out>, 
    callerdata=Could not find the frame base for "jsds_ExecutionHookProc".
) at jsd_xpc.cpp:690
#23 0x0283e6ed in jsd_CallExecutionHook (jsdc=<value optimized out>, 
    cx=<value optimized out>, type=<value optimized out>, 
    hook=<value optimized out>, hookData=Could not find the frame base for
"jsd_CallExecutionHook".
) at jsd_hook.c:177
#24 0x0283e12a in jsd_DebugErrorHook (cx=<value optimized out>, 
    message=<value optimized out>, report=<value optimized out>, 
    closure=<value optimized out>) at jsd_high.c:370
#25 0x071b2516 in ReportError (cx=<value optimized out>, 
    message=<value optimized out>, reportp=<value optimized out>)
    at jscntxt.c:860
#26 0x071b33a4 in js_ReportErrorNumberVA (cx=<value optimized out>, 
    flags=<value optimized out>, callback=<value optimized out>, 
    userRef=<value optimized out>, errorNumber=<value optimized out>, 
    charArgs=<value optimized out>, ap=<value optimized out>) at jscntxt.c:1187
#27 0x071a7882 in JS_ReportErrorNumber (cx=Could not find the frame base for
"JS_ReportErrorNumber".
) at jsapi.c:5475
#28 0x071b2396 in js_ReportIsNotDefined (cx=Could not find the frame base for
"js_ReportIsNotDefined".
) at jscntxt.c:1243
#29 0x071d797f in js_Interpret (cx=<value optimized out>) at jsinterp.c:6970
#30 0x071dcfbf in js_Invoke (cx=<value optimized out>, 
    argc=<value optimized out>, vp=<value optimized out>, 
    flags=<value optimized out>) at jsinterp.c:1303
#31 0x071dd14a in js_InternalInvoke (cx=<value optimized out>, 
    obj=<value optimized out>, fval=<value optimized out>, 
    flags=<value optimized out>, argc=<value optimized out>, 
    argv=<value optimized out>, rval=<value optimized out>) at jsinterp.c:1359
#32 0x071a857f in JS_CallFunctionValue (cx=<value optimized out>, 
    obj=<value optimized out>, fval=<value optimized out>, 
    argc=<value optimized out>, argv=<value optimized out>, 
    rval=<value optimized out>) at jsapi.c:5038
#33 0x02598146 in nsJSContext::CallEventHandler (this=<value optimized out>, 
    aTarget=<value optimized out>, aScope=<value optimized out>, 
    aHandler=<value optimized out>, aargv=<value optimized out>, 
    arv=<value optimized out>) at nsJSEnvironment.cpp:1962
#34 0x025d0620 in nsJSEventListener::HandleEvent (this=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aEvent=<value optimized out>) at nsJSEventListener.cpp:248
#35 0x0249df35 in nsEventListenerManager::HandleEventSubType (
    this=<value optimized out>, aListenerStruct=<value optimized out>, 
    aListener=<value optimized out>, aDOMEvent=<value optimized out>, 
    aCurrentTarget=<value optimized out>, aPhaseFlags=Could not find the frame
base for "nsEventListenerManager::HandleEventSubType(nsListenerStruct*,
nsIDOMEventListener*, nsIDOMEvent*, nsISupports*, unsigned int)".
)
    at nsEventListenerManager.cpp:1080
#36 0x0249e44b in nsEventListenerManager::HandleEvent (
    this=<value optimized out>, aPresContext=<value optimized out>, 
    aEvent=<value optimized out>, aDOMEvent=<value optimized out>, 
    aCurrentTarget=<value optimized out>, aFlags=<value optimized out>, 
    aEventStatus=<value optimized out>) at nsEventListenerManager.cpp:1184
#37 0x024b7692 in nsEventTargetChainItem::HandleEvent (
    this=<value optimized out>, aVisitor=<value optimized out>, aFlags=Could not
find the frame base for
"nsEventTargetChainItem::HandleEvent(nsEventChainPostVisitor&, unsigned int)".
)
    at nsEventDispatcher.cpp:206
#38 0x024b7825 in nsEventTargetChainItem::HandleEventTargetChain (
    this=<value optimized out>, aVisitor=<value optimized out>, 
    aFlags=<value optimized out>, aCallback=<value optimized out>)
    at nsEventDispatcher.cpp:287
#39 0x024b7b12 in nsEventDispatcher::Dispatch (aTarget=<value optimized out>, 
    aPresContext=<value optimized out>, aEvent=<value optimized out>, 
    aDOMEvent=<value optimized out>, aEventStatus=<value optimized out>, 
    aCallback=<value optimized out>) at nsEventDispatcher.cpp:479
#40 0x024a3bfb in nsEventStateManager::DispatchMouseEvent (
    this=<value optimized out>, aEvent=<value optimized out>, 
    aMessage=<value optimized out>, aTargetContent=<value optimized out>, 
    aRelatedContent=<value optimized out>) at nsEventStateManager.cpp:2947
#41 0x024a3d84 in nsEventStateManager::NotifyMouseOut (
    this=<value optimized out>, aEvent=<value optimized out>, 
    aMovingInto=<value optimized out>) at nsEventStateManager.cpp:3013
#42 0x024a3ea3 in nsEventStateManager::NotifyMouseOver (
    this=<value optimized out>, aEvent=<value optimized out>, 
    aContent=<value optimized out>) at nsEventStateManager.cpp:3060
#43 0x024a60b7 in nsEventStateManager::GenerateMouseEnterExit (
    this=<value optimized out>, aEvent=<value optimized out>)
    at nsEventStateManager.cpp:3101
#44 0x024a9f06 in nsEventStateManager::PreHandleEvent (
    this=<value optimized out>, aPresContext=<value optimized out>, 
    aEvent=<value optimized out>, aTargetFrame=<value optimized out>, 
    aStatus=<value optimized out>, aView=Could not find the frame base for
"nsEventStateManager::PreHandleEvent(nsPresContext*, nsEvent*, nsIFrame*,
nsEventStatus*, nsIView*)".
) at nsEventStateManager.cpp:857
#45 0x0231884f in PresShell::HandleEventInternal (this=<value optimized out>, 
    aEvent=<value optimized out>, aView=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aStatus=<value optimized out>) at nsPresShell.cpp:5935
#46 0x02319055 in PresShell::HandlePositionedEvent (
    this=<value optimized out>, aView=Could not find the frame base for
"PresShell::HandlePositionedEvent(nsIView*, nsIFrame*, nsGUIEvent*,
nsEventStatus*)".
) at nsPresShell.cpp:5833
#47 0x02319496 in PresShell::HandleEvent (this=<value optimized out>, 
    aView=<value optimized out>, aEvent=<value optimized out>, 
    aEventStatus=<value optimized out>) at nsPresShell.cpp:5693
#48 0x0258ed6a in nsViewManager::HandleEvent (this=Could not find the frame base
for "nsViewManager::HandleEvent(nsView*, nsPoint, nsGUIEvent*, int)".
) at nsViewManager.cpp:1388
#49 0x02590ad3 in nsViewManager::DispatchEvent (this=<value optimized out>, 
    aEvent=<value optimized out>, aStatus=<value optimized out>)
    at nsViewManager.cpp:1343
#50 0x0258b7d8 in HandleEvent (aEvent=<value optimized out>) at nsView.cpp:168
#51 0x028defa0 in nsCommonWidget::DispatchEvent (this=<value optimized out>, 
    aEvent=Could not find the frame base for
"nsCommonWidget::DispatchEvent(nsGUIEvent*, nsEventStatus&)".
) at nsCommonWidget.cpp:158
#52 0x028d9a1e in nsWindow::OnMotionNotifyEvent (this=<value optimized out>, 
    aWidget=Could not find the frame base for
"nsWindow::OnMotionNotifyEvent(_GtkWidget*, _GdkEventMotion*)".
) at nsWindow.cpp:2023
#53 0x028d9beb in motion_notify_event_cb (widget=Could not find the frame base
for "motion_notify_event_cb".
) at nsWindow.cpp:4623
#54 0x0759213e in _gtk_marshal_BOOLEAN__BOXED (closure=Could not find the frame
base for "_gtk_marshal_BOOLEAN__BOXED".
) at gtkmarshalers.c:84
#55 0x0085612b in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#56 0x0086a995 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2440
#57 0x0086bd58 in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2209
#58 0x0086c336 in IA__g_signal_emit (instance=Could not find the frame base for
"IA__g_signal_emit".
) at gsignal.c:2243
#59 0x07703928 in gtk_widget_event_internal (widget=Could not find the frame
base for "gtk_widget_event_internal".
) at gtkwidget.c:4678
#60 0x07703450 in IA__gtk_widget_event (widget=Could not find the frame base for
"IA__gtk_widget_event".
) at gtkwidget.c:4478
#61 0x075906fb in IA__gtk_propagate_event (widget=Could not find the frame base
for "IA__gtk_propagate_event".
) at gtkmain.c:2336
#62 0x0758f1e5 in IA__gtk_main_do_event (event=Could not find the frame base for
"IA__gtk_main_do_event".
) at gtkmain.c:1556
#63 0x06e2ffc0 in gdk_event_dispatch (source=Could not find the frame base for
"gdk_event_dispatch".
) at gdkevents-x11.c:2351
#64 0x00663098 in IA__g_main_context_dispatch (context=<value optimized out>)
    at gmain.c:2009
#65 0x00666743 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not
find the frame base for "g_main_context_iterate".
)
    at gmain.c:2642
#66 0x00666901 in IA__g_main_context_iteration (context=<value optimized out>, 
    may_block=<value optimized out>) at gmain.c:2705
---Type <return> to continue, or q <return> to quit---
#67 0x028dd84c in nsAppShell::ProcessNextNativeEvent (this=Could not find the
frame base for "nsAppShell::ProcessNextNativeEvent(int)".
)
    at nsAppShell.cpp:144
#68 0x028f3e5c in nsBaseAppShell::DoProcessNextNativeEvent (this=Could not find
the frame base for "nsBaseAppShell::DoProcessNextNativeEvent(int)".
)
    at nsBaseAppShell.cpp:151
#69 0x028f3ff3 in nsBaseAppShell::OnProcessNextEvent (
    this=<value optimized out>, thr=<value optimized out>, 
    mayWait=<value optimized out>, recursionDepth=Could not find the frame base
for "nsBaseAppShell::OnProcessNextEvent(nsIThreadInternal*, int, unsigned int)".
) at nsBaseAppShell.cpp:296
#70 0x029b07f6 in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.cpp:497
#71 0x0297d7e0 in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#72 0x028f413c in nsBaseAppShell::Run (this=<value optimized out>)
    at nsBaseAppShell.cpp:170
#73 0x027ae148 in nsAppStartup::Run (this=<value optimized out>)
    at nsAppStartup.cpp:181
#74 0x021848d7 in XRE_main (argc=<value optimized out>, 
    argv=<value optimized out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3154
#75 0x08049169 in __gxx_personality_v0 ()
    at ../../../../libstdc++-v3/libsupc++/eh_personality.cc:363
#76 0x004565d6 in __libc_start_main (main=Could not find the frame base for
"__libc_start_main".
) at libc-start.c:220
#77 0x08048cc1 in __gxx_personality_v0 ()
    at ../../../../libstdc++-v3/libsupc++/eh_personality.cc:363
(gdb) 
Comment 3 Matěj Cepl 2008-06-06 05:28:36 EDT
and other one from npviewer.bin:

Program terminated with signal 11, Segmentation fault.
[New process 32720]
[New process 32728]
[New process 32727]
[New process 32726]
#0  __pthread_mutex_lock (mutex=<value optimized out>)
    at pthread_mutex_lock.c:51
51				    PTHREAD_MUTEX_TIMED_NP))
(gdb) thread apply all backtrace

Thread 4 (process 32726):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x005e6b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
#2  0x00ec8ff8 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#3  0x00fc3438 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#4  0x00ec934d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#5  0x005e332f in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x0051e27e in clone () from /lib/libc-2.8.so

Thread 3 (process 32727):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x005e6b95 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread-2.8.so
#2  0x00ec8ff8 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#3  0x00fc3438 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#4  0x00ec934d in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#5  0x005e332f in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#6  0x0051e27e in clone () from /lib/libc-2.8.so

Thread 2 (process 32728):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x005e8f25 in sem_wait@@GLIBC_2.1 () from /lib/libpthread-2.8.so
#2  0x00ed31a8 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#3  0x005e332f in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#4  0x0051e27e in clone () from /lib/libc-2.8.so

Thread 1 (process 32720):
#0  __pthread_mutex_lock (mutex=<value optimized out>)
    at pthread_mutex_lock.c:51
#1  0x010e8985 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#2  0x01018574 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#3  0x00ec2fcd in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#4  0x00dc1548 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#5  0x00dbd180 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#6  0x01515440 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#7  0x01514de8 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#8  0xbff61748 in ?? ()
#9  0x0144e3fa in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
---Type <return> to continue, or q <return> to quit---
#10 0x0144e3e4 in ?? () from /usr/lib/mozilla/plugins/libflashplayer.so
#11 0x0043cfc0 in ?? () from /lib/ld-2.8.so
#12 0xbff61a08 in ?? ()
#13 0x00433fff in _dl_close_worker (map=<value optimized out>)
    at dl-close.c:271
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
(gdb) 
Comment 4 Matěj Cepl 2008-06-06 05:29:30 EDT
However, emphasizing once more this Fedora 9 with these packages
firefox-3.0-0.60.beta5.fc9.i386
nspluginwrapper-0.9.91.5-28.fc9.i386

Comment 5 Matěj Cepl 2008-06-06 18:20:20 EDT
*** Bug 450291 has been marked as a duplicate of this bug. ***
Comment 6 Martin Stransky 2009-01-14 09:58:33 EST
Is the problem still here? (in firefox 3.0.5)
Comment 7 Matěj Cepl 2009-03-07 15:36:10 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 8 Matěj Cepl 2009-03-26 18:39:13 EDT
Possibly duplicates of bug 491086 and bug 474884
Comment 9 Martin Stransky 2009-04-01 03:26:34 EDT
Closing as WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.